All Vulnerability Reports

CVE-2020-5414: App Autoscaler logs credentials


Severity

Medium

Vendor

VMware Tanzu

Description

VMware Tanzu Application Service for VMs (2.7.x versions prior to 2.7.19, 2.8.x versions prior to 2.8.13, and 2.9.x versions prior to 2.9.7) contains an App Autoscaler that logs the UAA admin password. This credential is redacted on VMware Tanzu Operations Manager; however, the unredacted logs are available to authenticated users of the BOSH Director. This credential would grant administrative privileges to a malicious user.

The same versions of App Autoscaler also log the App Autoscaler Broker password. Prior to newer versions of Operations Manager, this credential was not redacted from logs. This credential allows a malicious user to create, delete, and modify App Autoscaler services instances. Operations Manager started redacting this credential from logs as of its versions 2.7.15, 2.8.6, and 2.9.1.

Note that these logs are typically only visible to foundation administrators and operators.

Affected Pivotal Products and Versions

Severity is medium unless otherwise noted.

  • Operations Manager
    • 2.7 versions prior to 2.7.15
    • 2.8 versions prior to 2.8.6
    • 2.9 versions prior to 2.9.1
  • VMware Tanzu Application Service for VMs
    • 2.7.x versions prior to 2.7.19
    • 2.8.x versions prior to 2.8.13
    • 2.9.x versions prior to 2.9.7
Mitigation

Users of affected versions should apply the following mitigation or upgrade. Releases that have fixed this issue include:

  • Operations Manager
    • 2.7.15
    • 2.8.6
    • 2.9.1
  • VMware Tanzu Application Service for VMs
    • 2.7.19
    • 2.8.13
    • 2.9.7
References
History

2020-07-30: Initial vulnerability report published.